summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2016-02-17 22:51:00 +0100
committerMichał Górny <mgorny@gentoo.org>2016-02-17 23:05:54 +0100
commited99fa624d7f39a7055358dd2663b8b3f6b6c48b (patch)
tree6ff80837b67c27605f9d8333bafec8190b75381a /sys-devel/llvm
parentsys-devel/llvm: Clean up stale ref to outer mycmakeargs (diff)
downloadgentoo-ed99fa624d7f39a7055358dd2663b8b3f6b6c48b.tar.gz
gentoo-ed99fa624d7f39a7055358dd2663b8b3f6b6c48b.tar.bz2
gentoo-ed99fa624d7f39a7055358dd2663b8b3f6b6c48b.zip
sys-devel/llvm: Extend the FreeBSD fix fix to remaining ebuilds
Diffstat (limited to 'sys-devel/llvm')
-rw-r--r--sys-devel/llvm/llvm-3.8.0_rc2.ebuild4
-rw-r--r--sys-devel/llvm/llvm-9999.ebuild4
2 files changed, 6 insertions, 2 deletions
diff --git a/sys-devel/llvm/llvm-3.8.0_rc2.ebuild b/sys-devel/llvm/llvm-3.8.0_rc2.ebuild
index b3b7e4e536b..5fcf094f330 100644
--- a/sys-devel/llvm/llvm-3.8.0_rc2.ebuild
+++ b/sys-devel/llvm/llvm-3.8.0_rc2.ebuild
@@ -418,7 +418,9 @@ src_install() {
multilib-minimal_src_install
# Remove unnecessary headers on FreeBSD, bug #417171
- use kernel_FreeBSD && use clang && rm "${ED}"usr/lib/clang/${PV}/include/{std,float,iso,limits,tgmath,varargs}*.h
+ if use kernel_FreeBSD && use clang; then
+ rm "${ED}"usr/lib/clang/${PV}/include/{std,float,iso,limits,tgmath,varargs}*.h || die
+ fi
}
multilib_src_install() {
diff --git a/sys-devel/llvm/llvm-9999.ebuild b/sys-devel/llvm/llvm-9999.ebuild
index 4cef57bcd45..97ed7fdc8b5 100644
--- a/sys-devel/llvm/llvm-9999.ebuild
+++ b/sys-devel/llvm/llvm-9999.ebuild
@@ -395,7 +395,9 @@ src_install() {
multilib-minimal_src_install
# Remove unnecessary headers on FreeBSD, bug #417171
- use kernel_FreeBSD && use clang && rm "${ED}"usr/lib/clang/${PV}/include/{std,float,iso,limits,tgmath,varargs}*.h
+ if use kernel_FreeBSD && use clang; then
+ rm "${ED}"usr/lib/clang/${PV}/include/{std,float,iso,limits,tgmath,varargs}*.h || die
+ fi
}
multilib_src_install() {